package net.locusworks.argparser.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import net.locusworks.argparser.converters.NoConverter;
import net.locusworks.argparser.interfaces.IParameterConverter;

@Target(value= {ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Parameter {
  
  String[] names();
  String description() default "";
  boolean positional() default false;
  int order() default Integer.MAX_VALUE;
  int arityCount() default 0;
  boolean variableArity() default false;
  boolean required() default false;
  Class<? extends IParameterConverter<?>> converter() default NoConverter.class;
  SubParameter[] subParameters() default {};
}
