package net.locusworks.argparser.converters;

import net.locusworks.argparser.interfaces.IParameterConverter;

/**
 * Converts a DataDiodeProperty value into a boolean value
 * @author Isaac Parenteau
 *
 */
public class BooleanConverter implements IParameterConverter<Boolean> {

  @Override
  public Boolean convert(String value) {
    if (value == null || value.trim().isEmpty()) return false;
    
    if (value.trim().toLowerCase().equals("yes")) return true;
    
    boolean retVal = Boolean.parseBoolean(value.trim());
    return retVal;
  }
}
