package net.locusworks.argparser.converters;

import java.io.File;

import net.locusworks.argparser.interfaces.IParameterConverter;

/**
 * Converts a command line argument to a File with verification that the file
 * exists and is a file nothing else
 * @author Isaac Parenteau
 *
 */
public class FileExistConverter implements IParameterConverter<File>{

  @Override
  public File convert(String value) {
    File f = new File(value);
    
    if (!f.exists()) throw new IllegalArgumentException(value + " does not exist");
    if (!f.isFile()) throw new IllegalArgumentException(value + " is not a file");
    
    return new File(value);
  }

}
